CUDA Runtime API (PDF) - v9.0.176 (older) - Last updated September 2, 2017 - Send Feedback

## 5.4. cudaEglFrame Struct Reference

## [Data types used by CUDA Runtime]

CUDA EGLFrame Descriptor - structure defining one frame of EGL.

Each frame may contain one or more planes depending on whether the surface is Multiplanar or not. Each plane of EGLFrame is represented by cudaEglPlaneDesc which is defined as:

    ‎ typedef struct cudaEglPlaneDesc_st {
               unsigned int width;
               unsigned int height;
               unsigned int depth;
               unsigned int pitch;
               unsigned int numChannels;
               struct cudaChannelFormatDesc channelDesc;
               unsigned int reserved[4];
           } cudaEglPlaneDesc;

### Public Variables

cudaEglColorFormat eglColorFormat
cudaEglFrameType frameType
cudaArray_t pArray[CUDA_EGL_MAX_PLANES]
struct cudaPitchedPtr pPitch[CUDA_EGL_MAX_PLANES]
unsigned int planeCount
struct cudaEglPlaneDesc planeDesc[CUDA_EGL_MAX_PLANES]

### Variables

cudaEglColorFormat cudaEglFrame::eglColorFormat [inherited]

  CUDA EGL Color Format

cudaEglFrameType cudaEglFrame::frameType [inherited]

  Array or Pitch

cudaArray_t cudaEglFrame::pArray[CUDA_EGL_MAX_PLANES] [inherited]

  Array of CUDA arrays corresponding to each plane

struct cudaPitchedPtr cudaEglFrame::pPitch[CUDA_EGL_MAX_PLANES] [inherited]

  Array of Pointers corresponding to each plane

unsigned int cudaEglFrame::planeCount [inherited]

  Number of planes

struct cudaEglPlaneDesc cudaEglFrame::planeDesc[CUDA_EGL_MAX_PLANES] [inherited]

  CUDA EGL Plane Descriptor cudaEglPlaneDesc